# This file was automatically generated by Dist::Zilla::Plugin::MakeMaker v6.030.
use strict;
use warnings;

use 5.010001;

use ExtUtils::MakeMaker;

my %WriteMakefileArgs = (
  "ABSTRACT" => "Get stock and mutual fund quotes from various exchanges",
  "AUTHOR" => "Erik Colson <eco\@ecocode.net>, Bruce Schuck <bschuck\@asgard-systems.com>, Paul Fenwick <pjf\@perltraining.com.au>, Vincent Lucarelli <vincent.lucarelli\@gmail.com>, David Hampton <hampton-sf\@rainbolthampton.net>, moenny <>, jvolkening <jdv\@base2bio.com>, Pawel Konieczny <konieczp\@zonnet.nl>, Mike Alexander <mta\@umich.edu>, AndreJ <Andre-J\@users.noreply.github.com>, Vinay S Shastry <vinayshastry\@gmail.com>, Bradley Dean <bjdean\@bjdean.id.au>, Brent Neal <brent\@reindeergraphics.com>, Jacinta Richardson <jarich\@perltraining.com.au>, e-dorigatti <emilio.dorigatti\@gmail.com>, goodvibes2 <goodchris96\@gmail.com>, Paul Howarth <paul\@city-fan.org>, Sam Morris <sam\@robots.org.uk>, Linas Vepstas <linas\@linas.org>, Rajan Vaswani <111571283+bgr22112\@users.noreply.github.com>, Hiranya Samarasekera <hiranyas\@gmail.com>, Manuel Friedli <manuel\@fritteli.ch>, Przemys\x{142}aw Kryger <pkryger\@gmail.com>, Achim Winkler <mumpitzstuff\@gmail.com>, Diego Marcolungo <diego.marcolungo\@gmail.com>, John Haiducek <jhaiduce\@gmail.com>, alex314159 <alex314159\@users.noreply.github.com>, gregor herrmann <gregoa\@debian.org>, Gustavo R. Montesino <grmontesino\@gmail.com>, Jalon Avens <jalonavens\@snave.info>, Sigve Indregard <sigve\@indregard.no>, bgr22112 <111571283+bgr22112\@users.noreply.github.com>, goodvibes2 <chris.good\@ozemail.com.au>",
  "CONFIGURE_REQUIRES" => {
    "ExtUtils::MakeMaker" => 0
  },
  "DISTNAME" => "Finance-Quote",
  "LICENSE" => "gpl",
  "MIN_PERL_VERSION" => "5.010001",
  "NAME" => "Finance::Quote",
  "PREREQ_PM" => {
    "Carp" => 0,
    "Compress::Zlib" => 0,
    "Date::Parse" => 0,
    "DateTime::Format::Strptime" => 0,
    "Encode" => 0,
    "Exporter" => 0,
    "HTML::Entities" => 0,
    "HTML::TableExtract" => 0,
    "HTML::TokeParser" => 0,
    "HTML::TreeBuilder" => 0,
    "HTML::TreeBuilder::XPath" => 0,
    "HTTP::CookieJar::LWP" => "0.014",
    "HTTP::Cookies" => 0,
    "HTTP::Headers" => 0,
    "HTTP::Request" => 0,
    "HTTP::Request::Common" => 0,
    "HTTP::Status" => 0,
    "IO::Handle" => 0,
    "IO::String" => 0,
    "IO::Uncompress::Unzip" => 0,
    "JSON" => 0,
    "LWP::Protocol::http" => 0,
    "LWP::Protocol::https" => 0,
    "LWP::Simple" => 0,
    "LWP::UserAgent" => "6.48",
    "Module::Load" => "0.36",
    "Mozilla::CA" => 0,
    "POSIX" => 0,
    "Readonly" => 0,
    "Scalar::Util" => 0,
    "Spreadsheet::XLSX" => 0,
    "String::Util" => 0,
    "Test2" => "1.302167",
    "Text::Template" => 0,
    "Time::Piece" => 0,
    "URI::Escape" => "3.31",
    "Web::Scraper" => 0,
    "XML::LibXML" => 0,
    "base" => 0,
    "constant" => 0,
    "if" => 0,
    "strict" => 0,
    "utf8" => 0,
    "vars" => 0,
    "warnings" => 0
  },
  "TEST_REQUIRES" => {
    "Date::Manip" => 0,
    "Date::Range" => 0,
    "Date::Simple" => 0,
    "DateTime" => 0,
    "DateTime::Duration" => 0,
    "DateTime::Format::ISO8601" => 0,
    "File::Spec" => 0,
    "Module::CPANTS::Analyse" => 0,
    "String::Util" => 0,
    "Test::Kwalitee" => 0,
    "Test::More" => 0,
    "Test::Perl::Critic" => 0,
    "feature" => 0,
    "open" => 0
  },
  "VERSION" => "1.65_02",
  "test" => {
    "TESTS" => "t/*.t"
  }
);


my %FallbackPrereqs = (
  "Carp" => 0,
  "Compress::Zlib" => 0,
  "Date::Manip" => 0,
  "Date::Parse" => 0,
  "Date::Range" => 0,
  "Date::Simple" => 0,
  "DateTime" => 0,
  "DateTime::Duration" => 0,
  "DateTime::Format::ISO8601" => 0,
  "DateTime::Format::Strptime" => 0,
  "Encode" => 0,
  "Exporter" => 0,
  "File::Spec" => 0,
  "HTML::Entities" => 0,
  "HTML::TableExtract" => 0,
  "HTML::TokeParser" => 0,
  "HTML::TreeBuilder" => 0,
  "HTML::TreeBuilder::XPath" => 0,
  "HTTP::CookieJar::LWP" => "0.014",
  "HTTP::Cookies" => 0,
  "HTTP::Headers" => 0,
  "HTTP::Request" => 0,
  "HTTP::Request::Common" => 0,
  "HTTP::Status" => 0,
  "IO::Handle" => 0,
  "IO::String" => 0,
  "IO::Uncompress::Unzip" => 0,
  "JSON" => 0,
  "LWP::Protocol::http" => 0,
  "LWP::Protocol::https" => 0,
  "LWP::Simple" => 0,
  "LWP::UserAgent" => "6.48",
  "Module::CPANTS::Analyse" => 0,
  "Module::Load" => "0.36",
  "Mozilla::CA" => 0,
  "POSIX" => 0,
  "Readonly" => 0,
  "Scalar::Util" => 0,
  "Spreadsheet::XLSX" => 0,
  "String::Util" => 0,
  "Test2" => "1.302167",
  "Test::Kwalitee" => 0,
  "Test::More" => 0,
  "Test::Perl::Critic" => 0,
  "Text::Template" => 0,
  "Time::Piece" => 0,
  "URI::Escape" => "3.31",
  "Web::Scraper" => 0,
  "XML::LibXML" => 0,
  "base" => 0,
  "constant" => 0,
  "feature" => 0,
  "if" => 0,
  "open" => 0,
  "strict" => 0,
  "utf8" => 0,
  "vars" => 0,
  "warnings" => 0
);


unless ( eval { ExtUtils::MakeMaker->VERSION(6.63_03) } ) {
  delete $WriteMakefileArgs{TEST_REQUIRES};
  delete $WriteMakefileArgs{BUILD_REQUIRES};
  $WriteMakefileArgs{PREREQ_PM} = \%FallbackPrereqs;
}

delete $WriteMakefileArgs{CONFIGURE_REQUIRES}
  unless eval { ExtUtils::MakeMaker->VERSION(6.52) };

WriteMakefile(%WriteMakefileArgs);
